# $Revision: 1.72.2.5 $, $Date: 2004/10/28 10:50:32 $

%include	/usr/lib/rpm/macros.python

Summary:	libXML library
Summary(es):	Biblioteca libXML version 2
Summary(pl):	Biblioteka libxml2
Summary(pt_BR):	Biblioteca libXML verso 2
Name:		libxml2
Version:	2.4.24
Release:	4
Epoch:		1
License:	MIT
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/2.4/%{name}-%{version}.tar.bz2
# Source0-md5:	b2dc5525fd6e49d36b90f1e07bac3f34
Patch0:		%{name}-amfix.patch
Patch1:		%{name}-man_fixes.patch
Patch2:		%{name}-open.gz.patch
Patch3:		%{name}-DESTDIR.patch
Patch4:		%{name}-urlbound.patch
Patch5:		%{name}-CAN-2004-0989.patch
URL:		http://xmlsoft.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to manipulate XML files.

%description -l es
Esta biblioteca permite manipulacin de archivos XML.

%description -l pl
Biblioteka libxml2 umoliwia manipulowaie zawartoci plikw XML.

%description -l pt_BR
Esta biblioteca permite a manipulao de arquivos XML.

%package devel
Summary:	Header files etc to develop libxml2 applications
Summary(es):	Biblioteca y archivos de inclusin para desarrollo de aplicaciones libXML
Summary(pl):	Pliki nagwkowe i inne do libxml2
Summary(pt_BR):	Bibliotecas e arquivos de incluso para desenvolvimento de aplicaes que usem a biblioteca libxml
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	zlib-devel

%description devel
Header files etc you can use to develop libxml2 applications.

%description devel -l es
Biblioteca y archivos de inclusin para desarrollo de aplicaciones
libXML.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe i inne do libxml2 niezbdne przy
tworzeniu aplikacji opartych o t bibliotek.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento de aplicaes
que usem a biblioteca libxml.

%package static
Summary:	Static libxml2 libraries
Summary(es):	Static libraries to develop libxml applications
Summary(pl):	Biblioteka statyczna libxml2
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento de aplicaes que usem a biblioteca libxml
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libxml2 libraries.

%description static -l es
Static libraries, you can use to develop libxml applications.

%description static -l pl
Biblioteka statyczna libxml2.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento de aplicaes que usem a
biblioteca libxml.

%package progs
Summary:	XML files parser
Summary(pl):	Parser plikw XML
Group:		Applications/Text
Requires:	%{name} = %{version}

%description progs
XML files parser.

%description progs -l pl
Parser plikw XML.

%package -n python-%{name}
Summary:	Python support for libxml2
Summary(pl):	Moduy jzyka Python dla biblioteki libxml2
Group:		Libraries/Python
Requires:	%{name} = %{version}
%pyrequires_eq	python-libs
Obsoletes:	libxml2-python

%description -n python-%{name}
Python support for libxml2.

%description -n python-%{name} -l pl
Moduy jzyka Python dla biblioteki libxml2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

# install catalog file
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xml
LD_LIBRARY_PATH=.libs ./xmlcatalog --create \
	> $RPM_BUILD_ROOT%{_sysconfdir}/xml/catalog

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man3/*

%dir %{_sysconfdir}/xml
%config(noreplace) %verify(not mtime md5) %{_sysconfdir}/xml/catalog

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/{*.{gif,html},html/*}
%attr(755,root,root) %{_bindir}/xml2-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_pkgconfigdir}/*
%{_aclocaldir}/*.m4
%{_includedir}/libxml2
%{_mandir}/man1/xml2-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmlcatalog
%attr(755,root,root) %{_bindir}/xmllint
%{_mandir}/man1/xmlcatalog.1*
%{_mandir}/man1/xmllint.1*

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxml2.spec,v $
Revision 1.72.2.5  2004/10/28 10:50:32  qboosh
- added CAN-2004-0989 patch, release 4

Revision 1.72.2.4  2004/03/10 10:49:26  qboosh
- added urlbound security patch (fixes buffer overflows - CAN-2004-0110, BTS#852)
- release 3

Revision 1.72.2.3  2004/02/07 10:24:42  twittner
- better source

Revision 1.72.2.2  2004/02/07 10:10:16  twittner
- working source, md5

Revision 1.72.2.1  2003/07/11 12:01:48  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.72  2002/10/01 20:30:45  kloczek
- back to 2.4.24: seems 2.4.25 is broken (release 2, Epoch: 1).

Revision 1.71  2002/09/29 08:18:33  kloczek
- updated to 2.4.25: bug fixes.

Revision 1.70  2002/08/24 14:44:22  kloczek
- added DESTDIR patch.

Revision 1.69  2002/08/24 10:06:21  kloczek
- updated to 2.4.24: bugfixes.

Revision 1.68  2002/07/09 21:50:26  kloczek
- updated to 2.4.23 (bug fix release).

Revision 1.67  2002/07/03 13:15:19  wrobell
- fixed python subpackage requirements
- rel. 2, stb

Revision 1.66  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.65  2002/05/28 13:02:18  wiget
version 2.4.22
release 1

Revision 1.64  2002/05/26 01:06:18  wrobell
- XML Catalogs support
- rel. 6, stb

Revision 1.63  2002/05/25 23:14:32  wrobell
- fixed file list devel subpackage
- rel. 4

Revision 1.62  2002/05/25 21:41:13  qboosh
- new %%doc

Revision 1.61  2002/05/25 10:18:09  malekith
- rel 3
- added open.gz oatch to try to open foo.xml.gz if foo.xml cannot be found

Revision 1.60  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.59  2002/05/06 21:35:53  kloczek
- release 2.

Revision 1.58  2002/05/06 20:18:03  qboosh
- python-libxml2 requires equal libxml2

Revision 1.57  2002/04/30 09:46:54  wrobell
- ver. 2.4.21, stb

Revision 1.56  2002/04/16 17:59:50  wrobell
- ver. 2.4.20 /bugfix release/
- stb

Revision 1.55  2002/04/11 13:59:04  wrobell
- rel. 2, stb

Revision 1.54  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.53  2002/03/26 10:38:51  wrobell
- ver. 2.4.19 /bugfix release/
- stb

Revision 1.52  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.51  2002/03/19 17:00:39  wrobell
- ver. 2.4.18 /bugfix release/
- stb

Revision 1.50  2002/03/18 07:06:09  wrobell
- python subpackage group changed to Libraries/Python
- rel. 2
- stb

Revision 1.49  2002/03/08 21:46:33  wrobell
- ver. 2.4.17
- stb

Revision 1.48  2002/03/07 13:24:45  wrobell
- ver. 2.4.16 - bugfix release
- stb

Revision 1.47  2002/02/23 03:36:24  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/02/12 18:36:41  filon
- added exeext patch, fixes build
 (someone has commited non-working spec...)
- release 2

Revision 1.44  2002/02/11 23:45:34  kloczek
- updated to 2.4.15,
- added libxml2-python to Obsoletes.

Revision 1.43  2002/02/09 17:03:14  wrobell
- fixed build requirements

Revision 1.42  2002/02/09 13:44:35  wrobell
- ver. 2.4.14 /bugfix release/
- added python subpackage

Revision 1.41  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2002/01/16 17:46:24  kloczek
- updated to 2.4.13 (bugfix release).

Revision 1.39  2001/12/08 01:05:00  kloczek
- updated to 2.4.12 (mainly bugfix release).

Revision 1.38  2001/11/26 14:44:24  kloczek
- updated to 2.4.11.

Revision 1.37  2001/11/14 23:39:38  kloczek
- merge translations from CNV.

Revision 1.36  2001/11/10 18:22:11  kloczek
- updated %files lists.

Revision 1.35  2001/11/10 17:57:46  kloczek
- updated to 2.4.10.

Revision 1.34  2001/11/07 02:08:48  kloczek
- updated to 2.4.9.

Revision 1.33  2001/11/05 17:11:02  wrobell
- ver. 2.4.8
- stb

Revision 1.32  2001/11/01 16:56:40  mkochano
- Release 2.
- Added "bool" patch.

Revision 1.31  2001/10/30 18:19:21  wrobell
- ver. 2.4.7
- stb

Revision 1.30  2001/10/10 19:33:10  kloczek
- updated to 2.4.6.

Revision 1.29  2001/09/19 18:44:44  kloczek
- updated to 2.4.5,
- moved libxml(4) man page to main package,
- added xmlcatalog to progs package.

Revision 1.28  2001/09/17 21:08:48  qboosh
- updated %%files - headers moved to libxml2 subdirectory

Revision 1.27  2001/09/13 17:05:58  kloczek
- updated to 2.4.4.

Revision 1.26  2001/09/09 07:18:51  qboosh
- release 2: added amfix patch (for automake 1.5)

Revision 1.25  2001/08/24 03:46:57  kloczek
- updatewd to 2.4.3.

Revision 1.24  2001/08/15 16:24:16  kloczek
- updated to 2.4.2.

Revision 1.23  2001/07/25 12:13:37  kloczek
- updated to 2.4.1,
- moce xmllint to progs subpackage.

Revision 1.22  2001/07/24 15:37:12  wrobell
- added xmllint program to main package
- rel. 2, stb

Revision 1.21  2001/07/11 07:49:26  kloczek
- updated to 2.4.0.

Revision 1.20  2001/07/09 09:06:37  kloczek
- typo.

Revision 1.19  2001/07/09 09:01:46  kloczek
- regenerate ac/am/lt files for allob build using also new ac 2.50.

Revision 1.18  2001/07/06 14:03:05  kloczek
- updated to 2.3.14.

Revision 1.17  2001/06/28 22:22:17  kloczek
- updated to 2.3.13.

Revision 1.16  2001/06/27 07:16:05  kloczek
- updated to 2.3.12.

Revision 1.15  2001/06/17 16:47:17  kloczek
- updated to 2.3.11,
- new Source url.

Revision 1.14  2001/06/02 17:33:37  kloczek
- updated to 2.3.10.

Revision 1.13  2001/06/01 12:57:46  misiek
- removed Build/Requires: iconv

Revision 1.12  2001/05/20 15:56:18  kloczek
- release 2: added zlib-devel to Requires lit in devel.

Revision 1.11  2001/05/20 08:52:02  kloczek
- updated to 2.3.9.

Revision 1.10  2001/05/11 20:32:12  kloczek
- remove %%{_pkgconfigdir} directory from %files list in devel.

Revision 1.9  2001/05/07 13:42:01  baggins
- strict readline buildrequries

Revision 1.8  2001/05/04 15:08:59  wrobell
- prefix changed to standard one (libxml2 library does not link with
  X11 libraries)

Revision 1.7  2001/05/03 20:16:50  wrobell
- ver. 2.3.8

Revision 1.6  2001/04/28 01:00:59  wrobell
- ver. 2.3.7

Revision 1.5  2001/04/13 00:21:17  qboosh
- use %%_pkgconfigdir instead of /usr/X11R6/lib/pkgconfig
- typo
- release 2

Revision 1.4  2001/03/25 10:50:20  qboosh
- fixed mandir

Revision 1.3  2001/03/22 21:50:05  qboosh
- uncommented %%clean

Revision 1.2  2001/02/09 16:05:10  wrobell
- up to 2.3.0
- this version does not conflict with libxml

Revision 1.1  2000/12/18 23:42:59  misiek
new spec; libxml2
